WordPress 5.2 ”Jaco” släppt

Publicerad: 9.5.2019 Uppdaterad: 9.5.2019

WordPress 5.2 är den andra stora releasen under 2019 med fokus på en nyintroducerad hälsokontroll, uppdaterade PHP-krav, återställningläge för PHP-fel och förbättringar av blockredigeraren.

Hälsokontroll för webbplatser är ett nytt verktyg i wp-admin

I wp-admin kan du nu hitta en ny sektion under ”Verktyg” som heter ”Hälsokontroll för webbplatser”, som har två flikar med namnen ”Status” och ”Info”. Status kör en serie tester (i dagsläget finns det 16 tester i WordPress Core) och listar eventuella problem som du kanske behöver adressera, grupperade efter om de ses som kritiska eller rekommenderade problem. Testerna är filtrerbara via site_status_tests vilket innebär att tillägg eller teman kan lägga till egna tester eller ta bort befintliga.

Fliken Info är avsedd för felsökning och visar detaljer om konfigurationen av din WordPress-installation. Sidan är uppdelad i olika sektioner och även här har du möjlighet att lägga till eller ta bort sektioner med hjälp av ett filter, debug_information. Knappen ”Kopiera information om webbplatsen till urklipp” gör det enkelt att dela den här informationen, till exempel till support gällande ett specifikt tillägg. Denna funktionalitet innehåller inte information som kan betraktas som privat information. Till exempel ingår inte sektionen kring databas som standard när du använder kopieringsfunktionen.

För mer information om dessa funktioner, se bloggposten ”Site Health Check in 5.2”.

Ett exempel-skärmdump av den nya Site Health-sektionen under Verktyg i wp-admin

Introduktion av återställningsläge för att hantera PHP-fel

Planen var ursprungligen att inkludera detta återställningsläge redan i 5.1-releasen, men det togs ut i sista stund på grund av att olika säkerhetsdiskussioner. Nu är dessa problem hanterade och de PHP-fel, som ofta kallas “white screen of death” eller WSOD, kan nu lättare hanteras av administratörer.

Om ett sk. “fatal PHP-fel” inträffar visas en ny felmeddelandesida som informerar besökaren om att webbplatsen upplever tekniska svårigheter. Samtidigt skickas ett mail till administratören, informerar om problemet och innehåller en hemlig länk till den nya funktionen som kallas ”återställningsläge”.

Detta nya återställningsläge ger administratörsbehörighet till wp-admin på webbplatsen. Administratören ser då information om vad som orsakar problemet och kan till exempel inaktivera tillägg som orsakar felet. Var medveten om att det här återställningsläget och pausandet av tillägg endast är synligt för administratören när du använder länken, vilket sätter en cookie i din klient. Andra besökare och användare får fortfarande PHP-felet.

Det finns flera sätt att integrera med denna nya funktionalitet som utvecklare. Det är till exempel möjligt att skapa en anpassad felmeddelandesida. Läs mer om det i artikeln ”Fatal Error Recovery Mode in 5.2”.

När du är inloggad med det nya återställningsläget får du information om felet och möjligheten att inaktivera plugin.

Krav kring minsta PHP-version höjs äntligen

Att höja den minsta nödvändiga PHP-versionen för WordPress har varit ett hett diskussionsämne inom communityn under lång tid och nu händer det äntligen. Med WordPress 5.2 höjs minsta PHP-versionen från PHP 5.2.4+ till 5.6.20+. Planen, som kan läsas om i blogginlägget ”Uppdatering av minsta PHP-versionen”, är att fortsätta att uppdatera minsta versionen ytterligare, och detta kan nu också göras mer säkert i och med införandet av återställningsläget och hälsokontroll-funktionaliteten som förklarats ovan.

Det innebär att du kan få se en varning om att uppgradera din webbplats PHP, som introducerades i 5.1, om din webbplats använder en PHP-version under 5.6.20+. Uppdatering av WordPress kommer inte heller vara möjligt om din PHP-version är under minimikravet.

Tilläggs-utvecklare har också kunnat definiera en minsta PHP-version sedan Augusti 2017. Detta har nu utökats så att du inte kan installera eller uppdatera tillägg från WordPress.org som kräver en högre PHP-version än vad du för närvarande har. Denna kontroll är dock inte implementerad för tillägg som distribueras utanför WordPress.org. och den diskussionen fortsätter på Trac ticket #40934.

Du kommer inte att kunna installera eller uppdatera tillägg från WordPress.org om din webbplats kör en PHP-version under vad tillägget har definierat som krav.

Hantera den växande listan med block med blockhanteraren och många fler förbättringar

Blockredigeraren som inkluderades i WordPress 5.0 fortsätter att få förbättringar med varje release. Tekniskt sett är den största uppdateringen i den här releasen tillägget av en återanvändbar blockredigeringsmodul som möjliggör att använda blockredigeraren utan något beroende av ett postobjekt. Detta kommer att användas i den pågående arbetet för att använda blockredigeraren att hantera widgets och andra delar av WordPress framöver.

En av de större visuella sakerna som du kommer märka i blockredigeraren är en ny blockhanterare som låter dig som redaktör hantera den växande listan med block som är tillgängliga när du redigerar sidor och inlägg. Du kan gömma hela sektioner eller specifika block. Men som tidigare kan du även som utvecklare programmatiskt genom olika filter, vitlista, svartlista eller gömma block.

Förutom detta så har det implementerats ett asynkron-funktionalitet för renderingen av block som snabbar upp prestandan, nya block för t.ex. RSS-flöden och Amazon Kindle-inbäddningar, liksom många andra förbättringar. Blockredigeraren förbättras ständigt med tvåveckors releaser som du kan börja använda direkt genom att installera och aktivera tillägget Gutenberg.

Blockhanteraren låter dig som redaktör gömma hela sektionen av block eller enskilda block.

Ytterligare förbättringar av tillgänglighet, integritetspolicy och andra områden

Det finns också tillgänglighetsuppdateringar till t.ex. html:en för flikar i wp-admin, nya funktioner har lagts till för att göra anpassning och utformning av sidan med integritetspolicy enklare och 13 nya dashicons.

Sodium kryptografibiblioteket har inkluderats för att säkra WordPress mot infrastrukturrelaterade attacker. Som utvecklare har du nu möjlighet att bättre hantera innehållsrelaterade användarrelationer innan en användare raderas från en webbplats med det nya user_have_additional_content filtret.

Det finns också tillägg av en ny wp_body_open hook, vilket t.ex. gör det enklare att lägga till Google Tag Manager på din webbplats. Om du utvecklar teman, lägg till det här direkt men kom ihåg att göra det med en kontroll om funktionen finns så att ditt tema inte kommer att sluta fungera med äldre WordPress-versioner. Mer information finns på det här blogginlägget. Denna nya hook är resultatet av en nio år öppen Trac-ticket och en påminnelse, likt uppdateringen av kravet kring minsta PHP-version, att förbättringar ibland tar tid, väldigt lång tid.

Vad betyder det för Seravos kunder?

Seravo uppdaterar alla kunder som kör WordPress 5.x.x till den senaste WordPress 5.2-versionen inom en snar framtid. Eftersom 5.2 inte är en säkerhetsuppdatering kommer vi inte att skynda på dessa uppdateringar, också då vi förutser att 5.2.1 kommer släppas snart.

Som vi har kommunicerat kring 5.0-releasen, uppdaterar vi för närvarande inte kunder från WordPress 4.x-versioner till 5.x på grund av bakåtkompatibilitet problem med många tillägg. Efter att WordPress ekosystem fortsätter att mogna kring dessa större ändringar kommer vi att fortsätta med dessa uppdateringar också.

Så sammanfattningsvis, som Seravo-kund behöver du inte oroa dig för uppdateringar då vi tar hand om dem åt er.

Ytterligare läsning

För mer information om releasen, se officiella release inlägget och den mer utvecklingsorienterade Field Guide inlägget. En mindre 5.2.1 uppdatering förväntas inom kort. Planeringen kring 5.3 är diskuteras även i detta nu och kommer eventuellt efter sommaren 2019. Följ WordPress Core  nyhetsflöde för uppdateringar om detta.

Kommentera

Johan Falk

Sök Seravo.se

Mer läsning

Hjälper Cloudflare verkligen din WordPress-webbplats?

23.7.2019

Våra WordPress-experter föreläser ofta om hur man optimerar hastigheten i WordPress. Därför är det inte konstigt att vi ofta får […]

Seravo inför nya säkerhetsinställningar i WordPress

18.7.2019

Våra medarbetare har deltagit som talare på många WordPress-konferenser (WordCamp) och WordPress-träffar (meetups) och föreläst om WordPress-säkerhet, och vi har […]

Nästa generations testsystem för WordPress

11.7.2019

En del av vår premium webbhotellstjänst med drift och förvaltning för WordPress är tester och uppdatering av våra kunders webbplatser […]